Compatible jQuery Versions

Apr 9, 2014 at 6:19 PM
Edited Apr 9, 2014 at 6:23 PM
Hi,

I'm trying to get rateit working, but it doesn't seem to want to work on version 1.11.0

Is there a list of working versions of jQuery that rateit will work on? I'd rather not have to go back to 1.6.3.

EDIT:

The symptom I'm experiencing is that when I add the class "rateit" to a div or span, the stars don't appear. I then try to manually evoke rateit with $(".rateit").rateit() and get the error "TypeError: Object [object Object] has no method 'rateit'"
Apr 9, 2014 at 8:59 PM
Apr 9, 2014 at 9:51 PM
So, I've solved my problem.

There is NO ISSUE with any of the modern versions, it was an issue with how I was including the rateit.js code.

For future references rateit really does work with all versions 1.6.x +. (I tested them all in frustration today ;) )
Apr 9, 2014 at 10:32 PM
Thanks for the tests :)